local celeste = require("#Celeste")
function onBegin()
	disableMovement()
	disableRetry()
		
	local granny = getAllEntities("DialogNPC", "Celeste.Mod.DoonvHelper.Entities.")[2]
	
		
	-- yeah, that's all
	walkTo(granny.Position.X - 6 - 24)
	walk(6)
	
	if getFlag("CC_Found12KeysBox") then
		say("CC_EVIDENCE02_CELESTRIS_DIALOGUE_BOX02")
	else 
		say("CC_EVIDENCE02_CELESTRIS_ENDLESS_MODE_GRANNY")
	end
end

function onEnd(room, wasSkipped)
	enableMovement()
	enableRetry()
end